.blackout {
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
}

.scrollNone {
    overflow: hidden;
}

/*Desktop*/

.modal {
    position: relative;
    width: max-content;
    margin: auto;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 1);
    padding: 20px;

    display: grid;
    grid-template-columns: auto 220px;
    grid-template-areas:
        "photo comment"
        "form comment";
    grid-row-gap: 20px;
    grid-column-gap: 20px;
}

.photo {
    grid-area: photo;

    width: 330px;
    height: 225px;
}

.comments {
    grid-area: comment;

    display: grid;
    grid-template-rows: auto;
    grid-row-gap: 20px;
    overflow-y: auto;
    -ms-overflow-style: none;
}

.comments>div {
    display: grid;
    grid-template-rows: 15px auto;
    grid-template-areas:
        "date"
        "text";
    grid-row-gap: 5px;
}

.comments>div>h1 {
    grid-area: date;

    margin: 0px;
    font-size: 13px;
    color: rgba(153, 153, 153, 1);
}

.comments>div>p {
    grid-area: text;

    margin: 0px;
    font-size: 13px;
    color: rgba(0, 0, 0, 1);
}

.form {
    grid-area: form;

    display: grid;
    grid-template-rows: 30px 30px 30px;
    grid-row-gap: 20px;

    border-radius: 3px;
    font-size: 13px;
}

.form > input {
    border: 1px solid #CCCCCC;
    border-radius: 3px;
    padding-left: 10px;
}
.form > input:focus {
    outline: 1px solid rgba(73, 152, 208, 0.5);
}

.form > input[type="button"] {
    padding: 0px;
    background-color: rgba(73, 151, 208, 1);
    color: rgba(255, 255, 255, 1);
}

.closeIcon {
    display: none;
}


/*Mobile*/

@media (max-width: 640px) {
    .modal {

        background: rgba(255, 255, 255, 1);
        padding: 20px;
    
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto ;
        grid-template-areas:
            "photo"
            "comment"
            "form";
    }
}

@media (max-width: 370px) {
    .modal {
        width: 320px;
        height: 100%;
        padding: 0px;
        background: rgba(255, 255, 255, 1);
        display: grid;
        grid-template-columns:  320px;
        grid-template-rows: 225px auto;
        grid-template-areas:
            "photo closeIcon"
            "comment"
            "form";
    }

    .photo {
        grid-area: photo;
        width: 320px;
    }

    .closeIcon {
        grid-area: closeIcon;
        display: block;
        width: 30px;
        height: 30px;
        position: fixed;
        top: 21px;
        right: 21px;
    }

    .comments{
        margin: 0 20px 0 20px;
        
    }
    .form {
        height: max-content;
        bottom: 0;
        margin: 0 20px 0 20px;
    }
}